chrome.runtime.onStartup.addListener(function() {
  chrome.power.requestKeepAwake("display");
});

chrome.app.runtime.onLaunched.addListener(function() {
  console.log('DISE Xpress player launched');
  chrome.power.requestKeepAwake("display");
  chrome.system.display.getInfo(function(displayInfoObjects) {
    var count = displayInfoObjects.length;
    for (var i=0; i<count; i++) {
      var displayInfo = displayInfoObjects[i];
      chrome.app.window.create('index.html?instance='+i, {
        frame: 'none',
        outerBounds: {
          left: displayInfo.bounds.left,
          top: displayInfo.bounds.top,
          width: 640,
          height: 360
        },
        state: 'fullscreen'
      }, function(createdWindow) {
        console.log('DISE Xpress screen created');
        /*
        If used for multiple screens on the player when we may need to call to set fullscreen mode.
        Disabled for now.
        
        if (createdWindow)
          createdWindow.fullscreen();
        */        
      });
    }
  });
});
